UI.AddCheckbox("Clantag") // This will add a checkbox into the menu
var currentTick = 0; //this is some vars, i will not explain every one
var lastTick = 0;
var special = false
var speed = 25; // this var is most important , this is clantag speed 
var ctag = 0

function Draw() // This will make a function called "Draw"
{
    if (UI.GetValue("Misc", "JAVASCRIPT", "Script items", "Clantag")) // if the checkbox called "Clantag" is checked , then it will make the function
    {
    currentTick = parseInt(Globals.Curtime() * 1000);
    if (currentTick - (10000 / speed) >= lastTick)
        {
        switch ((ctag) % 42) //There are clantag getting set by switch and cases
                {
                case 1: { Local.SetClanTag("Alan訂製"); break; } //
                case 2: { Local.SetClanTag("製訂nalA"); break; } //
				case 3: { Local.SetClanTag("Ala?訂?"); break; } //
				case 4: { Local.SetClanTag("製?na?A"); break; } //
				case 5: { Local.SetClanTag("A"); break; } //
				case 6: { Local.SetClanTag("Al"); break; } //
				case 7: { Local.SetClanTag("Ala"); break; } //
				case 8: { Local.SetClanTag("Alan"); break; } //
				case 9: { Local.SetClanTag("Alan訂"); break; } //
				case 10: { Local.SetClanTag("Alan訂製"); break; } //
                }
        if (ctag == 10	) //
            {
            ctag = 0;
            }else
            {
            ctag = ctag+1;
            }
        lastTick = currentTick;
        }
    }
}

Cheat.RegisterCallback("Draw", "Draw"); //